# Retrieve a refund application item Retrieve the details of a specific Refund Application Item object. Endpoint: GET /object-query/refund-application-items/{key} Version: 2026-02-20 Security: bearerAuth ## Header parameters: - `Idempotency-Key` (string) Specify a unique idempotency key if you want to perform an idempotent POST or PATCH request. Do not use this header in other request types. With this header specified, the Zuora server can identify subsequent retries of the same request using this value, which prevents the same operation from being performed multiple times by accident. - `Accept-Encoding` (string) Include the Accept-Encoding: gzip header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response. If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a Content-Encoding header with the compression algorithm so that your client can decompress it. - `Content-Encoding` (string) Include the Content-Encoding: gzip header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload. - `Zuora-Track-Id` (string) A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue. The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), and quote ('). - `Zuora-Entity-Ids` (string) An entity ID. If you have Zuora Multi-entity enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header. - `Zuora-Org-Ids` (string) Comma separated IDs. If you have Zuora Multi-Org enabled, you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header. The IDs must be a sub-set of the user's accessible orgs. If you specify an org that the user does not have access to, the operation fails. This header is important in Multi-Org (MO) setups because it defines the organization context under which the API should operate—mainly used for read access or data visibility filtering. If the header is not set, the operation is performed in scope of the user's accessible orgs. - `Zuora-Version` (string) The minor API version. For a list of available minor versions, see API upgrades. ## Path parameters: - `key` (string, required) Object ID or Number. ## Query parameters: - `pageSize` (integer) The maximum number of results to return in a single page. If the specified pageSize is less than 1 or greater than 99, Zuora will return a 400 error. - `cursor` (string) A cursor for use in pagination. A cursor defines the starting place in a list. For instance, if you make a list request and receive 100 objects, ending with next_page=W3sib3JkZXJ=, your subsequent call can include cursor=W3sib3JkZXJ= in order to fetch the next page of the list. - `sort[]` (array) A case-insensitive query parameter that specifies the sort order of the list, which can be either ascending (e.g. accountnumber.ASC) or descending (e.g. accountnumber.DESC). You cannot sort on properties in arrays. If the array-type properties are specified for the sort[] parameter, they are ignored. - `expand[]` (array) Allows you to expand responses by including related object information in a single call. Enum: "refundapplication" - `filter[]` (array) A case-insensitive filter on the list. - `fields[]` (array) A case-insensitive query parameter that allows you to specify which fields are returned in the response. Example: "id,createddate" - `includeNullFields` (boolean) Specifies whether to include fields with the null value in the response. - If set to true, all fields will be returned in the response, including those with the null value. - If set to false, only fields with non-null values will be returned. ## Response 200 fields (application/json): - `id` (string) The unique identifier of the refund application item. - `createdById` (string) The unique identifier of the user who created the refund application item. - `createdDate` (string) The date and time when the refund application item was created. - `updatedById` (string) The unique identifier of the user who last updated the refund application item. - `updatedDate` (string) The date and time when the refund application item was last updated. - `amount` (number) The amount of the refund application item. - `effectiveDate` (string) The date when the refund application item becomes effective. - `applicationGroupId` (string) The ID of the application group to which this refund application belongs. - `refundApplicationId` (string) The ID of the refund application to which this refund application item belongs. - `accountReceivableAccountingCodeId` (string) The Account Receivable accounting code of a standalone charge. - `onAccountAccountingCodeId` (string) The accounting code that maps to an on account in your accounting system. - `unappliedPaymentAccountingCodeId` (string) The accounting code for the unapplied payment. - `cashAccountingCodeId` (string) The accounting code for cash payments. - `journalEntryId` (string) The ID of the journal entry that corresponds to this transaction. - `creditTaxationItemId` (string) The unique identifier of the credit taxation item to which the refund application item is applied. - `creditMemoItemId` (string) The unique identifier of the credit memo item to which the refund application item is applied. - `refundApplication` (object) - `refundApplication.id` (string) The unique identifier of the refund application. - `refundApplication.createdById` (string) The unique identifier of the user who created the refund application. - `refundApplication.createdDate` (string) The date and time when the refund application was created. - `refundApplication.updatedById` (string) The unique identifier of the user who last updated the refund application. - `refundApplication.updatedDate` (string) The date and time when the refund application was last updated. - `refundApplication.accountId` (string) The ID of the account associated with this refund application. - `refundApplication.applicationGroupId` (string) The ID of the application group to which this payment application belongs. - `refundApplication.applyAmount` (number) The total amount of the refund to be applied. - `refundApplication.creditMemoId` (string) The unique identifier of the credit memo to which the associated payment was applied. - `refundApplication.effectiveDate` (string) The date when the refund application becomes effective. - `refundApplication.invoiceId` (string) The unique identifier of the invoice to which the associated payment was applied. - `refundApplication.paymentId` (string) The unique identifier of the payment associated with the refund application. - `refundApplication.refundId` (string) The unique identifier of the refund associated with the refund application. - `refundApplication.onAccountAccountingCodeId` (string) The accounting code that maps to an on account in your accounting system. - `refundApplication.refund` (object) The refund associated with the refund application. - `refundApplication.payment` (object) The payment associated with the refund application. - `refundApplication.refundApplicationItems` (array) The refund application items contained in the refund application. ## Response 500 fields (application/json): - `reasons` (array) The container of the error code and message. This field is available only if the success field is false. - `reasons.code` (integer) The error code of response. - `reasons.message` (string) The detail information of the error response - `requestId` (string) The unique identifier of the request. ## Response 4XX fields (application/json): - `reasons` (array) The container of the error code and message. This field is available only if the success field is false. - `reasons.code` (integer) The error code of response. - `reasons.message` (string) The detail information of the error response - `requestId` (string) The unique identifier of the request.